Facebook on PSEvents and Kiosk versions below v2.8.5

In August 2018, Facebook terminated the support to the API used in PSEvents software and Kiosk software versions previous to v2.8.5.
For Kiosk’s customers whose wish to continue using Facebook download capability, please instruct them to update to the latest available version.
Regarding PSEvents software, we do not plan to release a new version.
MEU Development Team